import API from "./API";

export default class UserAPI extends API
{
    private readonly apiPath = "api/user/";

    constructor(ax: any, root: string)
    {
        super(ax, root);
    }

    async login(username: string, password: string)
    {
        return await super.post(this.apiPath + "login", JSON.stringify({ Username: username, Password: password }));
    }

    async getUser(token: string)
    {
        return await super.getAuthed(this.apiPath + "get", token);
    }

    async create(username: string, password: string)
    {
        return await super.post(this.apiPath + "create", JSON.stringify({ Username: username, Password: password }));
    }
}