import API from './API';

export default class WorkbookAPI extends API
{
    private readonly apiPath = "api/workbook/";

    constructor(ax: any, root: string)
    {
        super(ax, root);
    }

    async getAllUserWorkbooks(token: string)
    {
        return await super.getAuthed(this.apiPath + "userworkbooks", token);
    }

    async addWorkbook(name: string, token: string)
    {
        console.log(name + "    " + token);
        return await super.postAuthed(this.apiPath + "add?name=" + name, token);
    }
}