export default class AutoSave
{
    private currentTimeout!: any;
    private delayTime!: number;
    private func!: Function;

    constructor(f: Function, time: number)
    {
        this.func = f;
        this.delayTime = time;
    }

    public start(): void
    {
        this.currentTimeout = setTimeout(this.func, this.delayTime);
    }

    public stop(): void
    {
        clearTimeout(this.currentTimeout);
    }
}