import Vue from 'vue'
import Vuex from 'vuex'
import User from '@/types/User';

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        workbookActive: 0,
        workpageActive: 0,
        authed: false,
        loginRequested: false,
        currentUser: User
    },
    getters: {},
    mutations: {
        changeActiveWorkbook(state, payload)
        {
            state.workbookActive = payload;
        },
        changeActiveWorkpage(state, payload)
        {
            state.workpageActive = payload;
        }
    },
    actions: {}
});